Subject: Re: bug#8199: df strangeness on solaris 9/sparc with nfs

From: Pádraig Brady <[email-masked]>
Date: Tue, 08 Mar 2011 09:28:24 +0000

On 08/03/11 03:18, Ben Walton wrote:
> 
> Hi All,
> 
> I'm building an 8.10 update package for OpenCSW and found what I
> believe to be a bug in df (8.8 is the current version).  This is
> uncovered by the fiemap_capable_ function in the test suite and causes
> the cp/fiemap-perf and cp/fiemap-2 tests to fail on sparc only.
> 
> The filesystem is NFS in both cases (from the same source).  I don't
> presently have time to dig into the cause (and it may be fixed in
> newer 8.9 or 8.10 anyway) but will try to do so in the next few
> days...Please let me know if there is something specific you'd find
> useful in the meantime.
> 
> On i386, I get:
> 
> $ gdf --version
> df (GNU coreutils) 8.8
> Copyright (C) 2010 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later
> <http://gnu.org/licenses/gpl.html>.
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> 
> Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
> 
> $ uname -a
> SunOS current9x 5.9 Generic_122301-52 i86pc i386 i86pc Solaris
> $ gdf -T -t btrfs -t xfs -t ext4 -t ocfs2 -t gfs2 .
> gdf: no file systems processed
> 
> On sparc, I get:
> 
> $ gdf --version
> df (GNU coreutils) 8.8
> Copyright (C) 2010 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later
> <http://gnu.org/licenses/gpl.html>.
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> 
> Written by Torbj"orn Granlund, David MacKenzie, and Paul Eggert.
> 
> $ uname -a
> SunOS current9s 5.9 Generic_Virtual sun4u sparc SUNW,SPARC-Enterprise-T5220 Solaris
> 
> $ gdf -T -t btrfs -t xfs -t ext4 -t ocfs2 -t gfs2 .
> Filesystem    Type   1K-blocks      Used Available Use% Mounted on
> -                -    43040565   3843892  39196673   9% /home/bwalton

Hi,

That specific 8.10 test failure is addressed separately upstream.
I'm leaving this bug open to record the df behavior you detail above.
It triggers when df can't read the list of mounted file systems
(why can it not on your sparc system?)

We may try to match the output of statfs() in this case,
and if no direct match, then fail?  I'm not sure.

cheers,
Pádraig.